# -------------------------------------------------
# libEMF
# -------------------------------------------------
unix:!macx { 

QT -= core gui
TARGET = EMF
TEMPLATE = lib

OPTIMIZE = 3
OPT = -O
    CONFIG(release, debug|release):!isEmpty(OPTIMIZE):*-g++* { 
        QMAKE_CFLAGS_RELEASE ~= s,-O.,$$join(OPT,,, $${OPTIMIZE}),
        QMAKE_CXXFLAGS_RELEASE ~= s,-O.,$$join(OPT,,, $${OPTIMIZE}),
        QMAKE_OBJECTIVE_CFLAGS_RELEASE ~= s,-O.,$$join(OPT,,, $${OPTIMIZE}),
    }
    HARDWARE_PLATFORM = $$system(uname -m)
    contains( HARDWARE_PLATFORM, x86_64 ) { 
        # 64-bit Linux
        message ("Adding Linux 64 bits compile flags and definitions")
        DEFINES += _OCC64
        QMAKE_CXXFLAGS += -m64
    }
    
    # 32-bit Linux
    DEFINES += LIN LININTEL HAVE_CONFIG_H
    INCLUDEPATH += ./../../../src/libEMF-1.0.4/include
    INCLUDEPATH += ./../../../src/libEMF-1.0.4/config
    OBJECTS_DIR = ./../../../Linux/obj/libEMF
    DESTDIR = ./../../../Linux/bin
    SOURCES = ./../../../src/libEMF-1.0.4/libemf/libemf.cpp
    HEADERS = ./../../../src/libEMF-1.0.4/libemf/libemf.h
}
